{ lib, ... }:

let
  network = import ./network.nix;
  auth_block = (import ./openid.nix { inherit lib; }).openresty_oidc_block;
  ifname = "ts0";
in rec {
  services = {
    tailscale = {
      enable = true;
      interfaceName = ifname;
    };
  };

  networking.extraHosts = ''
    ${network.architect-ts} architect.devs.giugl.io
  '';
}